# 华盛 Gateway API Java SDK

注: 本 API 支持 JDK 1.8+

## 使用说明

华盛量化 OpenAPI 接口文档：https://quant-open.hstong.com/api-docs/

### 1、准备 Java 开发环境

- 安装 JDK：https://www.java.com/zh-CN/download/
- 安装 IDEA（建议）：https://www.jetbrains.com/zh-cn/idea/download/

### 2、运行 SDK Demo

- demo 路径：`src/test/java/com/huasheng/quant/open/gateway/api/HSQuantOpenApiTest.java`
- 点击运行 `HSQuantOpenApiTest` 程序，看到控制台输出后可以输入命令测试
```
====================================================
HTTP 请求地址   http://127.0.0.1:11111
TCP 长连接地址  127.0.0.1:11112
OpenAPI在线文档 https://quant-open.hstong.com/api-docs/
接口名: queryRateList                     接口描述: 综合接口-查询汇率信息
接口名: tradeLogin                        接口描述: 交易接口-交易登录
接口名: queryHoldsList                    接口描述: 交易接口-查询持仓列表
接口名: subscribe                         接口描述: 交易接口-订阅交易推送
...
接口名: queryHqBasicQot                   接口描述: 行情接口-查询股票基础报价
接口名: queryHqKLine                      接口描述: 行情接口-查询K线
接口名: hqSubscribeBasicQot               接口描述: 行情接口-订阅基础报价推送消息
====================================================
请输入需要执行的接口名: 
```

### 3、安装 SDK
```
1. 将压缩包解压
2. 进入到解压后目录（即工程目录，包含pom.xml文件）
3. 将SDK包安装到本地依赖仓库，执行命令: mvn install -Dmaven.test.skip=true
4. 开发者在工程中引入依赖包：
    <dependency>
        <groupId>com.huasheng.quant.open</groupId>
        <artifactId>java-hs-gateway-api</artifactId>
        <version>1.0.5</version>
    </dependency>

注意：
开发者根据需要是否将SDK包发布到nexus私服，执行: 
mvn deploy:deploy-file -DgroupId=xxxxxx -DartifactId=xxxxxx -Dversion=xxxxxx -Dfile=xxxxxx -DrepositoryId=xxxxxx
```
