package com.huasheng.quant.open.gateway.sdk.constant;

public enum ISystemError implements IErrorCode {

	SUCCESS("0000", "处理成功"),

	UNKNOWN_ERROR("1001", "系统未知错误"),

	SIGN_ERROR("1002", "签名错误"),

	CRYPTO_ERROR("1003", "数据加密错误"),

	NOT_SOCKET_LOGIN("1004", "Socket未初始化"),

	INTREFACE_DISCARD("1005", "接口已经废弃"),

	NO_AUTHORIZATION("1006", "用户暂未授权"),

	REPEAT_SUBMIT("1007", "重复提交"),

	INVOKE_ERROR("1008", "接口调用失败"),

	INTERFACE_NOT_EXSIT("1009", "接口不存在"),
	
	ILLEGAL_REQUEST("1010", "非法请求"),
	
	LIMIT_ERROR("1011", "服务繁忙，请稍后重试"),
	
	NOT_LOGIN("1012", "用户未登录"),
	
	LOGIN_KICK_OUT("1013","登陆被挤下线"),
	
	LOGIN_OVERTIME("1014","登录超时"),

	INVOKE_TIME_OUT("1015","接口调用超时"),
	
	PARAM_INVALID("1016","接口调用参数不合法"),
	
	CONNECT_ERROR("1017","建立长连接失败"),
	
	IS_RECONNECTING("1018","正在尝试重连，请稍后重试！"),
	
	;

	private String code; // 错误码
	private String description;// 错误描述

	ISystemError(String code, String description) {
		this.code = code;
		this.description = description;
	}

	@Override
	public String getDescription() {
		return this.description;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
