package com.huasheng.quant.open.gateway.sdk.constant;

import com.google.common.collect.Sets;
import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustType;

import java.util.Set;

public class OpenApiConstant {

    /**
     * OpenAPI-条件单委托类型集合
     */
    public static final Set<String> ENTRUST_COND_TYPE_SET = Sets.newHashSet(
            EntrustType.COND_STOP_PROFIT_POINT.getCode(),
            EntrustType.COND_STOP_PROFIT_MARKET.getCode(),
            EntrustType.COND_STOP_LOSS_POINT.getCode(),
            EntrustType.COND_STOP_LOSS_MARKET.getCode(),
            EntrustType.COND_TRACK_STOP_LOSS_POINT.getCode(),
            EntrustType.COND_TRACK_STOP_LOSS_MARKET.getCode());

    /**
     * OpenAPI-条件单市价单类型集合
     */
    public static final Set<String> ENTRUST_COND_MARKET_TYPE_SET = Sets.newHashSet(
            EntrustType.COND_STOP_PROFIT_MARKET.getCode(),
            EntrustType.COND_STOP_LOSS_MARKET.getCode(),
            EntrustType.COND_TRACK_STOP_LOSS_MARKET.getCode());
    
    /**
     * OpenAPI-条件单委托类型数组
     */
    public static final String[] ENTRUST_COND_TYPE_ARRAY = new String[]{
            EntrustType.COND_STOP_PROFIT_POINT.getCode(),
            EntrustType.COND_STOP_PROFIT_MARKET.getCode(),
            EntrustType.COND_STOP_LOSS_POINT.getCode(),
            EntrustType.COND_STOP_LOSS_MARKET.getCode(),
            EntrustType.COND_TRACK_STOP_LOSS_POINT.getCode(),
            EntrustType.COND_TRACK_STOP_LOSS_MARKET.getCode()};
    
}
