package com.huasheng.quant.open.gateway.sdk.constant.futures;

/**
 * 0 即日有效、1 成交并取消、2 全额或取消、3 到期日有效、4 指定日期有效
 */
public enum FuturesValidTimeType {
	
	VALID_TODAY("0", "即日有效"),
	DEAL_AND_CANCEL("1", "成交并取消"),
	FULL_OR_CANCEL("2", "全额或取消"),
	VALID_ON_EXPIRY_DATE("3", "到期日有效"),
	VALID_ON_SPECIFIED_DATE("4", "指定日期有效"),
	
	;

	private String code;
	private String description;

	FuturesValidTimeType(String code, String description) {
		this.code = code;
		this.description = description;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}
}
