package com.huasheng.quant.open.gateway.sdk.constant.hq;

/**
 * 股票类型
 */
public enum HqDataType {

    HK_STOCK(10000, "港股股票"),
    HK_INDEX(10001, "港股指数"),
    HK_ETF(10002, "港股ETF"),
    HK_WARRANT(10003, "港股窝轮"),
    HK_CBBC(10004, "港股牛熊证"),
    HK_BOND(10005, "港股债券"),
    HK_INDUSTRY_SECTOR(10006, "港股行业板块"),
    HK_CONCEPT_PLATE(10007, "港股概念板块"),
    HK_DERIVATIVES_FUTURES(10009, "衍生品期货"),
    HK_INDEX_FUTURES(10010, "香港指数期货"),
    HK_STOCK_FUTURES(10011, "港股股票期货"),
    HK_DIVIDEND_FUTURES(10012, "港股恒指股息期货"),
    HK_RMB_CURRENCY_FUTURES(10013, "港股人民币货币期货"),
    HK_CHINA_EXCHANGE_SERVICE_FUTURES(10014, "港股中华交易服务期货"),
    HK_HUNDSUN_INDEX_VOLATILITY_INDEX_FUTURES(10015, "恒指波幅指数期货"),
    HK_INSIDE_CERTIFICATE(10016, "界内证"),

    US_STOCK(20000, "美股股票"),
    US_INDEX(20001, "美股指数"),
    US_ETF(20002, "美股ETF"),
    US_OPTION(20003, "美股期权"),
    US_INDUSTRY_SECTOR(20006, "美股行业板块"),
    US_CONCEPT_PLATE(20007, "美股概念板块"),
    US_OTC(20009, "美股OTC"),

    ASHARE_STOCK(30000, "A股股票"),
    ASHARE_INDEX(30001, "A股指数"),
    ASHARE_ETF(30002, "A股ETF"),
    ASHARE_INDUSTRY(30006, "A股行业"),
    ASHARE_CONCEPT(30007, "A股概念"),
    ASHARE_SSE(30008, "A股科创板"),

    ;

    private Integer dataType;
    private String description;

    HqDataType(Integer dataType, String description) {
        this.dataType = dataType;
        this.description = description;
    }

    public Integer getDataType() {
        return dataType;
    }

    public void setDataType(Integer dataType) {
        this.dataType = dataType;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
