package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 港股 ：'0'-竞价限价、'1'-竞价、'2'-增强限价盘、'3'-限价盘、'4'-特别限价盘、'6'-暗盘
 * 美股 ：'3'-限价盘、'5'-市价盘、'8'-冰山市价、'9'-冰山限价、'10'-隐藏市价、'11'-隐藏限价
 * A股  ：'3'-限价盘
 * 条件单：'31'-止盈限价单、'32'-止盈市价单(美股)、'33'-止损限价单、'34'-止损市价单(美股)、'35'-追踪止损限价单、'36'-追踪止损市价单(美股)
 */
public enum EntrustType {

	AUCTION_LIMIT("0", "竞价限价"),
	AUCTION("1", "竞价"),
	ENHANCED_LIMIT("2", "增强限价"),
	LIMIT("3", "限价"),
	SPECIAL_LIMIT("4", "特别限价"),
	MARKET("5", "市价"),
	DARK("6", "暗盘"),
	ICEBERG_MARKET("8", "冰山市价"),
	ICEBERG_LIMIT("9", "冰山限价"),
	HIDE_MARKET("10", "隐藏市价"),
	HIDE_LIMIT("11", "隐藏限价"),

	COND_STOP_PROFIT_POINT("31", "止盈限价单"),
	COND_STOP_PROFIT_MARKET("32", "止盈市价单"),
	COND_STOP_LOSS_POINT("33", "止损限价单"),
	COND_STOP_LOSS_MARKET("34", "止损市价单"),
	COND_TRACK_STOP_LOSS_POINT("35", "追踪止损限价单"),
	COND_TRACK_STOP_LOSS_MARKET("36", "追踪止损市价单"),
	
	;

	private String code;
	private String description;

	EntrustType(String code, String description) {
		this.code = code;
		this.description = description;
	}

	public java.lang.String getCode() {
		return code;
	}

	public void setCode(java.lang.String code) {
		this.code = code;
	}

	public java.lang.String getDescription() {
		return description;
	}

	public void setDescription(java.lang.String description) {
		this.description = description;
	}
}
