package com.huasheng.quant.open.gateway.sdk.constant.trade;

/**
 * 条件单状态  1:待触发 2:已触发 3:暂停 4:已过期 5:已删除 6:错误 8:止盈止损单失效 9:除权除息失效
 */
public enum TradeCondStatus {
    
    PENDING(1, "待触发"),
    FINISH(2, "已触发"),
    PAUSE(3, "暂停"),
    EXPIRE(4, "已过期"),
    DELETE(5, "已删除"),
    ERROR(6, "错误"),
    INVALID_PROFITLOSS(8, "止盈止损失效"),
    INVALID_DIVIDEND(9, "除权除息失效"),
    RECALL(10, "撤回"),
    
    ;

    private Integer code;
    private String description;

    TradeCondStatus(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

    public Integer getCode() {
        return code;
    }

    public void setCode(Integer code) {
        this.code = code;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }
}
