package com.huasheng.quant.open.gateway.sdk.constant.trade;

public interface TradeRequestConstant {

    /**
     * 交易登录
     */
    String TRADE_LOGIN_REQUEST_MSG_TYPE = "/trade/TradeLoginRequestMsgType";

    /**
     * 交易登出
     */
    String TRADE_LOGOUT_REQUEST_MSG_TYPE = "/trade/TradeLogoutRequestMsgType";

    /**
     * 查询客户资金信息
     */
    String TRADE_QUERY_MARGIN_FUND_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryMarginFundInfoRequestMsgType";

    /**
     * 查询持仓列表
     */
    String TRADE_QUERY_HOLDS_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHoldsListRequestMsgType";

    /**
     * 查询最大可买
     */
    String TRADE_QUERY_BUY_AMOUNT_REQUEST_MSG_TYPE = "/trade/TradeQueryBuyAmountRequestMsgType";

    /**
     * 查询最大可卖
     */
    String TRADE_QUERY_SELL_AMOUNT_REQUEST_MSG_TYPE = "/trade/TradeQuerySellAmountRequestMsgType";

    /**
     * 查询当日资金流水
     */
    String TRADE_QUERY_REAL_FUND_JOUR_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealFundJourListRequestMsgType";

    /**
     * 查询历史资金流水
     */
    String TRADE_QUERY_HISTORY_FUND_JOUR_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryFundJourListRequestMsgType";

    /**
     * 期货-查询客户资金信息
     */
    String FUTURES_QUERY_FUND_INFO_REQUEST_MSG_TYPE = "/trade/FuturesQueryFundInfoRequestMsgType";

    /**
     * 期货-查询持仓列表
     */
    String FUTURES_QUERY_HOLDS_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHoldsListRequestMsgType";

    /**
     * 期货-查询最大可买可卖
     */
    String FUTURES_QUERY_MAX_BUY_SELL_AMOUNT_REQUEST_MSG_TYPE = "/trade/FuturesQueryMaxBuySellAmountRequestMsgType";

    /**
     * 期货-查询合约产品信息
     */
    String FUTURES_QUERY_PRODUCT_INFO_REQUEST_MSG_TYPE = "/trade/FuturesQueryProductInfoRequestMsgType";

    /**
     * 下单
     */
    String TRADE_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeEntrustRequestMsgType";

    /**
     * 撤单
     */
    String TRADE_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeCancelEntrustRequestMsgType";

    /**
     * 批量撤单
     */
    String TRADE_BATCH_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeBatchCancelEntrustRequestMsgType";

    /**
     * 改单
     */
    String TRADE_CHANGE_ENTRUST_REQUEST_MSG_TYPE = "/trade/TradeChangeEntrustRequestMsgType";

    /**
     * 查询最大可用资产
     */
    String TRADE_QUERY_MAX_AVAILABLE_ASSET_REQUEST_MSG_TYPE = "/trade/TradeQueryMaxAvailableAssetRequestMsgType";

    /**
     * 查询当日委托
     */
    String TRADE_QUERY_REAL_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealEntrustListRequestMsgType";

    /**
     * 查询历史委托
     */
    String TRADE_QUERY_HISTORY_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryEntrustListRequestMsgType";

    /**
     * 查询当日成交
     */
    String TRADE_QUERY_REAL_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealDeliverListRequestMsgType";

    /**
     * 查询历史成交
     */
    String TRADE_QUERY_HISTORY_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryDeliverListRequestMsgType";

    /**
     * 查询当日条件单
     */
    String TRADE_QUERY_REAL_COND_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryRealCondOrderListRequestMsgType";

    /**
     * 查询历史条件单
     */
    String TRADE_QUERY_HISTORY_COND_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/TradeQueryHistoryCondOrderListRequestMsgType";

    /**
     * 查询是否支持盘前盘后交易
     */
    String TRADE_QUERY_BEFORE_AND_AFTER_SUPPORT_REQUEST_MSG_TYPE = "/trade/TradeQueryBeforeAndAfterSupportRequestMsgType";

    /**
     * 查询股票沽空信息
     */
    String TRADE_QUERY_STOCK_SHORT_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryStockShortInfoRequestMsgType";

    /**
     * 查询股票融资融券数据
     */
    String TRADE_QUERY_MARGIN_FULL_INFO_REQUEST_MSG_TYPE = "/trade/TradeQueryMarginFullInfoRequestMsgType";

    /**
     * 期货-下单
     */
    String FUTURES_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesEntrustRequestMsgType";

    /**
     * 期货-撤单
     */
    String FUTURES_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesCancelEntrustRequestMsgType";

    /**
     * 期货-改单
     */
    String FUTURES_MODIFY_ENTRUST_REQUEST_MSG_TYPE = "/trade/FuturesModifyEntrustRequestMsgType";

    /**
     * 期货-查询当日委托
     */
    String FUTURES_QUERY_REAL_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryRealEntrustListRequestMsgType";

    /**
     * 期货-查询历史委托
     */
    String FUTURES_QUERY_HISTORY_ENTRUST_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHistoryEntrustListRequestMsgType";

    /**
     * 期货-查询当日成交
     */
    String FUTURES_QUERY_REAL_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryRealDeliverListRequestMsgType";

    /**
     * 期货-查询历史成交
     */
    String FUTURES_QUERY_HISTORY_DELIVER_LIST_REQUEST_MSG_TYPE = "/trade/FuturesQueryHistoryDeliverListRequestMsgType";

    /**
     * 策略单-下单
     */
    String ALGO_ADD_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoAddOrderRequestMsgType";

    /**
     * 策略单-撤销母单
     */
    String ALGO_CANCEL_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoCancelOrderRequestMsgType";

    /**
     * 策略单-撤销子单
     */
    String ALGO_CANCEL_ENTRUST_REQUEST_MSG_TYPE = "/trade/AlgoCancelEntrustRequestMsgType";

    /**
     * 策略单-改单
     */
    String ALGO_CHANGE_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoChangeOrderRequestMsgType";

    /**
     * 策略单-操作
     */
    String ALGO_ACTION_ORDER_REQUEST_MSG_TYPE = "/trade/AlgoActionOrderRequestMsgType";

    /**
     * 策略单-查询母单列表
     */
    String ALGO_QUERY_ORDER_LIST_REQUEST_MSG_TYPE = "/trade/AlgoQueryOrderListRequestMsgType";

    /**
     * 策略单-查询子单
     */
    String ALGO_QUERY_ENTRUST_ID_LIST_REQUEST_MSG_TYPE = "/trade/AlgoQueryEntrustIdListRequestMsgType";

    /**
     * 订阅交易推送
     */
    String TRADE_SUBSCRIBE_REQUEST_MSG_TYPE = "/trade/TradeSubscribeRequestMsgType";

    /**
     * 取消订阅交易推送
     */
    String TRADE_UNSUBSCRIBE_REQUEST_MSG_TYPE = "/trade/TradeUnsubscribeRequestMsgType";

}
