package com.huasheng.quant.open.gateway.sdk.handlers;

import com.huasheng.quant.open.gateway.sdk.protocol.SocketMessage;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToMessageDecoder;
import io.netty.util.ReferenceCountUtil;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

public class ApplicationAdapter extends MessageToMessageDecoder<Object> implements Application {

	private static final Logger logger = LoggerFactory.getLogger(ApplicationAdapter.class);

	@Override
	protected void decode(ChannelHandlerContext ctx, Object msg, List<Object> out) throws Exception {
		try {
			if (msg instanceof SocketMessage) {
				onMessage(ctx, (SocketMessage) msg, out);
			}
		} finally {
			ReferenceCountUtil.release(msg);
		}
	}

	@Override
	public void onMessage(ChannelHandlerContext ctx, SocketMessage msg, List<Object> out) {
	}

	@Override
	public void beforeSendMessage(ChannelHandlerContext ctx, SocketMessage msg) {
	}

	@Override
	public void exceptionCaught(ChannelHandlerContext ctx, Throwable cause) {
		logger.error("Uncaught application exception, close ChannelHandlerContext.", cause);
		ctx.close();
	}
}
