package com.huasheng.quant.open.gateway.sdk.mapper;

import com.huasheng.quant.open.gateway.sdk.protobuf.hq.common.dto.BrokerProto;
import com.huasheng.quant.open.gateway.sdk.protobuf.hq.common.dto.OrderBookProto;
import com.huasheng.quant.open.gateway.sdk.protobuf.hq.notify.BasicQotNotifyProto;
import com.huasheng.quant.open.gateway.sdk.protobuf.hq.notify.BrokerNotifyProto;
import com.huasheng.quant.open.gateway.sdk.protobuf.hq.notify.OrderBookFullNotifyProto;
import com.huasheng.quant.open.gateway.sdk.protobuf.hq.notify.TickerNotifyProto;
import com.huasheng.quant.open.gateway.sdk.vo.hq.Broker;
import com.huasheng.quant.open.gateway.sdk.vo.hq.OrderBook;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqBasicQotNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqBrokerNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqOrderBookNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqTickerNotifyMessageVo;
import org.mapstruct.CollectionMappingStrategy;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.ReportingPolicy;
import org.mapstruct.factory.Mappers;

@Mapper(collectionMappingStrategy = CollectionMappingStrategy.ADDER_PREFERRED,
        unmappedTargetPolicy = ReportingPolicy.IGNORE,
        nullValueCheckStrategy = NullValueCheckStrategy.ON_IMPLICIT_CONVERSION)
public interface HqMapper {

    HqMapper INSTANCE = Mappers.getMapper(HqMapper.class);

    HqBasicQotNotifyMessageVo toHqBasicQotNotifyMessageVo(BasicQotNotifyProto.BasicQotNotify notify);

    @Mapping(target = "brokerList", expression = "java( notify.getBrokerListList().stream().map(this::toBroker).collect(java.util.stream.Collectors.toList()) )")
    HqBrokerNotifyMessageVo toHqBrokerNotifyMessageVo(BrokerNotifyProto.BrokerNotify notify);

    Broker toBroker(BrokerProto.Broker broker);

    @Mapping(target = "orderBookBidList", expression = "java( notify.getOrderBookListList().stream().map(this::toOrderBook).collect(java.util.stream.Collectors.toList()) )")
    HqOrderBookNotifyMessageVo toHqOrderBookNotifyMessageVo(OrderBookFullNotifyProto.OrderBookFullNotify notify);

    @Mapping(target = "orderCount", source = "orderBook.orederCount")
    OrderBook toOrderBook(OrderBookProto.OrderBook orderBook);

    HqTickerNotifyMessageVo toHqTickerNotifyMessageVo(TickerNotifyProto.TickerNotify notify);

}
