package com.huasheng.quant.open.gateway.sdk.notify;

import com.huasheng.quant.open.gateway.sdk.vo.notify.HqBasicQotNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqBrokerNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqOrderBookNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.HqTickerNotifyMessageVo;
import com.huasheng.quant.open.gateway.sdk.vo.notify.TradeNotifyMessageVo;

public interface IMessageHandler {

    /**
     * 交易-期货回报消息处理
     *
     * @param notify
     */
    default void tradeNotifyMessageHandle(TradeNotifyMessageVo notify) {
    }

    /**
     * 行情基础报价消息处理
     *
     * @param notify
     */
    default void hqBasicQotNotifyMessageHandle(HqBasicQotNotifyMessageVo notify) {
    }

    /**
     * 行情买卖经纪消息处理
     *
     * @param notify
     */
    default void hqBrokerNotifyMessageHandle(HqBrokerNotifyMessageVo notify) {
    }

    /**
     * 行情买卖档消息处理
     *
     * @param notify
     */
    default void hqOrderBookNotifyMessageHandle(HqOrderBookNotifyMessageVo notify) {
    }

    /**
     * 行情逐笔消息处理
     *
     * @param notify
     */
    default void hqTickerNotifyMessageHandle(HqTickerNotifyMessageVo notify) {
    }

}
