package com.huasheng.quant.open.gateway.sdk.protocol;

import java.util.Arrays;

public class MessageHeader {

	/** [2位] 包头起始标志，固定为：“HS” */
	public String szHeaderFlag = "HS";

	/** [2位] 0：心跳 1：请求 2：响应 3：推送 */
	public short msgType = 0;

	/** [1位] 0：rotobuf格式 */
	public byte protoFmtType = 0;

	/** [1位] 协议版本，用于迭代兼容, 目前填0 */
	public byte protoVer = 0;

	/** [4位] 包序列号，用于对应请求包和回包，要求递增 */
	public int serialNo;

	/** [4位] 包体长度 */
	public int bodyLen;

	/** [128位] 包体原始数据(加密后)的SHA1哈希值 */
	public byte[] bodySHA1;

	/** [1位] 压缩算法，0：不压缩 */
	public byte compressAlgorithm = 0;

	/** [8位] 保留8字节扩展 */
	public long reserved = 1;

	public String getSzHeaderFlag() {
		return szHeaderFlag;
	}

	public MessageHeader setSzHeaderFlag(String szHeaderFlag) {
		this.szHeaderFlag = szHeaderFlag;
		return this;
	}

	public short getMsgType() {
		return msgType;
	}

	public MessageHeader setMsgType(short msgType) {
		this.msgType = msgType;
		return this;
	}

	public byte getProtoFmtType() {
		return protoFmtType;
	}

	public MessageHeader setProtoFmtType(byte protoFmtType) {
		this.protoFmtType = protoFmtType;
		return this;
	}

	public byte getProtoVer() {
		return protoVer;
	}

	public MessageHeader setProtoVer(byte protoVer) {
		this.protoVer = protoVer;
		return this;
	}

	public int getSerialNo() {
		return serialNo;
	}

	public MessageHeader setSerialNo(int serialNo) {
		this.serialNo = serialNo;
		return this;
	}

	public int getBodyLen() {
		return bodyLen;
	}

	public MessageHeader setBodyLen(int bodyLen) {
		this.bodyLen = bodyLen;
		return this;
	}

	public byte[] getBodySHA1() {
		return bodySHA1;
	}

	public MessageHeader setBodySHA1(byte[] bodySHA1) {
		this.bodySHA1 = bodySHA1;
		return this;
	}

	public long getReserved() {
		return reserved;
	}

	public MessageHeader setReserved(long reserved) {
		this.reserved = reserved;
		return this;
	}

	public byte getCompressAlgorithm() {
		return compressAlgorithm;
	}

	public void setCompressAlgorithm(byte compressAlgorithm) {
		this.compressAlgorithm = compressAlgorithm;
	}

	@Override
	public String toString() {
		return "MessageHeader [szHeaderFlag=" + szHeaderFlag + ", msgType=" + msgType + ", protoFmtType=" + protoFmtType
				+ ", protoVer=" + protoVer + ", serialNo=" + serialNo + ", bodyLen=" + bodyLen + ", bodySHA1="
				+ Arrays.toString(bodySHA1) + ", compressAlgorithm=" + compressAlgorithm + ", reserved=" + reserved
				+ "]";
	}

}
