package com.huasheng.quant.open.gateway.sdk.protocol;

import com.google.protobuf.Any;
import com.google.protobuf.InvalidProtocolBufferException;
import com.google.protobuf.Message;
import com.huasheng.quant.open.gateway.sdk.protobuf.common.constant.NotifyMsgTypeProto.NotifyMsgType;
import com.huasheng.quant.open.gateway.sdk.protobuf.common.msg.NotifyProto.PBNotify;

import java.util.UUID;

public class ProtoBufNofityMessage extends SocketMessage {

	public ProtoBufNofityMessage() {

	}

	public ProtoBufNofityMessage(NotifyMsgType notifyMsgType) {
		PBNotify msgBody = PBNotify.newBuilder().setNotifyMsgType(notifyMsgType).setNotifyId(UUID.randomUUID() + "")
				.setNotifyTime(System.currentTimeMillis()).build();
		this.getHeader().setMsgType(MsgType.NOTIFY);
		this.getHeader().setSerialNo(1);
		this.setMsgBody(msgBody);
	}

	public ProtoBufNofityMessage(NotifyMsgType notifyMsgType, String notifyId, long notifyTime) {
		PBNotify msgBody = PBNotify.newBuilder().setNotifyMsgType(notifyMsgType).setNotifyId(notifyId)
				.setNotifyTime(notifyTime).build();
		this.getHeader().setMsgType(MsgType.NOTIFY);
		this.getHeader().setSerialNo(1);
		this.setMsgBody(msgBody);
	}

	@Override
	@SuppressWarnings("unchecked")
	public <T> T getPayload(Class<T> cls) {
		PBNotify msgBody = this.getMsgBody();
		if (msgBody == null) {
			return null;
		}
		Class<? extends Message> clsMsgPB = (Class<? extends Message>) cls;

		try {
			return (T) msgBody.getPayload().unpack(clsMsgPB);
		} catch (InvalidProtocolBufferException e) {
			return null;
		}
	}

	@Override
	public void setPayload(Object payLoad) {
		PBNotify pbNotify = this.getMsgBody();
		Any anyPayLoad = Any.pack((Message) payLoad);
		pbNotify = PBNotify.newBuilder(pbNotify).setPayload(anyPayLoad).build();
		this.setMsgBody(pbNotify);
	}

}
