package com.huasheng.quant.open.gateway.sdk.protocol.session;

public class SessionId {

	private final String thirdID;

	private final int hash;

	public SessionId(String thirdID) {
		assert (thirdID != null) : "thirdID is required.";
		this.thirdID = thirdID;
		this.hash = calculateHash();
	}

	private static boolean idEquals(String s1, String s2) {
		return (s1 == null && s2 == null) || (s1 != null && s1.equals(s2));
	}

	public String getThirdID() {
		return thirdID;
	}

	@Override
	public boolean equals(Object o) {
		if (this == o)
			return true;
		if (o == null || getClass() != o.getClass())
			return false;
		SessionId other = (SessionId) o;
		return this.hashCode() == other.hashCode() && idEquals(thirdID, other.thirdID);
	}

	@Override
	public int hashCode() {
		return hash;
	}

	private int calculateHash() {
		int result = thirdID.hashCode();
		return result;
	}

}
