package com.huasheng.quant.open.gateway.sdk.vo.algo;

import java.io.Serializable;

public class AlgoOrder implements Serializable {

    private static final long serialVersionUID = 5787787361949439819L;

    /**
     * 订单ID
     */
    private String orderId;

    /**
     * 订单ID
     */
    private String stockCode;

    /**
     * 市场 [K:港股 P:美股 v:深股通 t:沪股通]
     */
    private String exchangeType;

    /**
     * 委托日期
     */
    private String tradeDate;

    /**
     * 委托类型
     */
    private String entrustType;

    /**
     * 委托价格
     */
    private String entrustPrice;

    /**
     * 委托数量
     */
    private String entrustAmount;

    /**
     * 股数
     */
    private String cumQty;

    /**
     * 剩余订单数量
     */
    private String leavesQty;

    /**
     * 委托状态
     */
    private String status;

    /**
     *  [1:买入 2:卖出]
     */
    private String entrustBs;

    /**
     * 策略类型 [1:VWAP 1001:TWAP 1002:ICE_BERG 1003:TPOV 1005:INLINE]
     */
    private String targetStrategy;

    /**
     * 策略状态 [1:START 2:STOP 3:SUSPEND 4:RESUME]
     */
    private String strategyStatus;

    /**
     * 证券交易手数
     */
    private String roundLot;

    /**
     * 传输时间
     */
    private String sendingTime;

    /**
     * 委托时间
     */
    private String transactionTime;

    /**
     * 平均成本
     */
    private String avgPx;

    /**
     * 策略参数
     */
    private AlgoStrategy strategyParam;

    public String getOrderId() {
        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public String getStockCode() {
        return stockCode;
    }

    public void setStockCode(String stockCode) {
        this.stockCode = stockCode;
    }

    public String getExchangeType() {
        return exchangeType;
    }

    public void setExchangeType(String exchangeType) {
        this.exchangeType = exchangeType;
    }

    public String getTradeDate() {
        return tradeDate;
    }

    public void setTradeDate(String tradeDate) {
        this.tradeDate = tradeDate;
    }

    public String getEntrustType() {
        return entrustType;
    }

    public void setEntrustType(String entrustType) {
        this.entrustType = entrustType;
    }

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getCumQty() {
        return cumQty;
    }

    public void setCumQty(String cumQty) {
        this.cumQty = cumQty;
    }

    public String getLeavesQty() {
        return leavesQty;
    }

    public void setLeavesQty(String leavesQty) {
        this.leavesQty = leavesQty;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public String getEntrustBs() {
        return entrustBs;
    }

    public void setEntrustBs(String entrustBs) {
        this.entrustBs = entrustBs;
    }

    public String getTargetStrategy() {
        return targetStrategy;
    }

    public void setTargetStrategy(String targetStrategy) {
        this.targetStrategy = targetStrategy;
    }

    public String getStrategyStatus() {
        return strategyStatus;
    }

    public void setStrategyStatus(String strategyStatus) {
        this.strategyStatus = strategyStatus;
    }

    public String getRoundLot() {
        return roundLot;
    }

    public void setRoundLot(String roundLot) {
        this.roundLot = roundLot;
    }

    public String getSendingTime() {
        return sendingTime;
    }

    public void setSendingTime(String sendingTime) {
        this.sendingTime = sendingTime;
    }

    public String getTransactionTime() {
        return transactionTime;
    }

    public void setTransactionTime(String transactionTime) {
        this.transactionTime = transactionTime;
    }

    public String getAvgPx() {
        return avgPx;
    }

    public void setAvgPx(String avgPx) {
        this.avgPx = avgPx;
    }

    public AlgoStrategy getStrategyParam() {
        return strategyParam;
    }

    public void setStrategyParam(AlgoStrategy strategyParam) {
        this.strategyParam = strategyParam;
    }
}
