package com.huasheng.quant.open.gateway.sdk.vo.algo;

import java.io.Serializable;

public class AlgoStrategy implements Serializable {

    private static final long serialVersionUID = 3192514382795166776L;

    /**
     * 开始时间， HHmmSS
     */
    private String origStartTime;

    /**
     * 结束时间，HHmmSS
     */
    private String origEndTime;

    /**
     * 每笔子单最大的订单数
     */
    private String maxVolume;

    /**
     * 每笔子单的最小交易金额，
     */
    private String minAmount;

    /**
     * 订单的执行效率[1:中性(neutral) 2:主动(aggressive) 3:被动(passive)]
     */
    private String sensitivity;

    /**
     * IceBerg订单使用， 每次的报单数量
     */
    private String showQty;

    /**
     * TPOV策略使用订单盘口占比, Inline使用累计成交占比（可设置1-99）
     */
    private String qtyPercent;

    /**
     * 订单报单间隔，Inline策略使用（默认60）
     */
    private Integer interval;

    public AlgoStrategy() {
    }

    public AlgoStrategy(String origStartTime, String origEndTime, String maxVolume, String minAmount, String sensitivity, String showQty, String qtyPercent, Integer interval) {
        this.origStartTime = origStartTime;
        this.origEndTime = origEndTime;
        this.maxVolume = maxVolume;
        this.minAmount = minAmount;
        this.sensitivity = sensitivity;
        this.showQty = showQty;
        this.qtyPercent = qtyPercent;
        this.interval = interval;
    }

    public String getOrigStartTime() {
        return origStartTime;
    }

    public void setOrigStartTime(String origStartTime) {
        this.origStartTime = origStartTime;
    }

    public String getOrigEndTime() {
        return origEndTime;
    }

    public void setOrigEndTime(String origEndTime) {
        this.origEndTime = origEndTime;
    }

    public String getMaxVolume() {
        return maxVolume;
    }

    public void setMaxVolume(String maxVolume) {
        this.maxVolume = maxVolume;
    }

    public String getMinAmount() {
        return minAmount;
    }

    public void setMinAmount(String minAmount) {
        this.minAmount = minAmount;
    }

    public String getSensitivity() {
        return sensitivity;
    }

    public void setSensitivity(String sensitivity) {
        this.sensitivity = sensitivity;
    }

    public String getShowQty() {
        return showQty;
    }

    public void setShowQty(String showQty) {
        this.showQty = showQty;
    }

    public String getQtyPercent() {
        return qtyPercent;
    }

    public void setQtyPercent(String qtyPercent) {
        this.qtyPercent = qtyPercent;
    }

    public Integer getInterval() {
        return interval;
    }

    public void setInterval(Integer interval) {
        this.interval = interval;
    }
}
