package com.huasheng.quant.open.gateway.sdk.vo.futures;

import java.io.Serializable;

public class FuturesHolds implements Serializable {

	private static final long serialVersionUID = -3644463795402211801L;

	/** 股票名称 */
	private String stockName;

	/** 股票代码，1.港股有后缀 .HK */
	private String stockCode;

	/** 上日持仓数量 */
	private String lastDayQty;

	/** 上日持仓成本 */
	private String lastDayPrice;

	/** 存储仓位 */
	private String depQty;

	/** 今日长仓数量 */
	private String dayLongQty;

	/** 今日长仓均价 */
	private String dayLongPrice;

	/** 今日短仓数量 */
	private String dayShortQty;

	/** 今日短仓均价 */
	private String dayShortPrice;

	/** 今日净仓数量 */
	private String dayNetQty;

	/** 今日净仓均价 */
	private String dayNetPrice;

	/** 持仓 上日持仓数量 ＋ 今日净仓数量 ＝ 净仓数量 */
	private String currentQty;

	/** 成本价 */
	private String costPrice;

	/** 现价 */
	private String lastPrice;

	/** 昨收价 */
	private String preClosePrice;

	/** 盈亏 */
	private String profitLoss;

	/** 参考兑换率 */
	private String ccyRate;

	/** 合约值 */
	private String contractValue;

	/** 盈亏(基本货币) */
	private String profitLossBaseCcy;

	/** 产品系列的交易币种 */
	private String ccy;

	/** 仅仅期货是返回dataType，因为港期和美期 */
	private String dataType;

	/** 已实现盈亏 */
	private String closeProfit;

	/** 已实现盈亏(HKD) */
	private String closeProfitHKD;

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getLastDayQty() {
		return lastDayQty;
	}

	public void setLastDayQty(String lastDayQty) {
		this.lastDayQty = lastDayQty;
	}

	public String getLastDayPrice() {
		return lastDayPrice;
	}

	public void setLastDayPrice(String lastDayPrice) {
		this.lastDayPrice = lastDayPrice;
	}

	public String getDepQty() {
		return depQty;
	}

	public void setDepQty(String depQty) {
		this.depQty = depQty;
	}

	public String getDayLongQty() {
		return dayLongQty;
	}

	public void setDayLongQty(String dayLongQty) {
		this.dayLongQty = dayLongQty;
	}

	public String getDayLongPrice() {
		return dayLongPrice;
	}

	public void setDayLongPrice(String dayLongPrice) {
		this.dayLongPrice = dayLongPrice;
	}

	public String getDayShortQty() {
		return dayShortQty;
	}

	public void setDayShortQty(String dayShortQty) {
		this.dayShortQty = dayShortQty;
	}

	public String getDayShortPrice() {
		return dayShortPrice;
	}

	public void setDayShortPrice(String dayShortPrice) {
		this.dayShortPrice = dayShortPrice;
	}

	public String getDayNetQty() {
		return dayNetQty;
	}

	public void setDayNetQty(String dayNetQty) {
		this.dayNetQty = dayNetQty;
	}

	public String getDayNetPrice() {
		return dayNetPrice;
	}

	public void setDayNetPrice(String dayNetPrice) {
		this.dayNetPrice = dayNetPrice;
	}

	public String getCurrentQty() {
		return currentQty;
	}

	public void setCurrentQty(String currentQty) {
		this.currentQty = currentQty;
	}

	public String getCostPrice() {
		return costPrice;
	}

	public void setCostPrice(String costPrice) {
		this.costPrice = costPrice;
	}

	public String getLastPrice() {
		return lastPrice;
	}

	public void setLastPrice(String lastPrice) {
		this.lastPrice = lastPrice;
	}

	public String getPreClosePrice() {
		return preClosePrice;
	}

	public void setPreClosePrice(String preClosePrice) {
		this.preClosePrice = preClosePrice;
	}

	public String getProfitLoss() {
		return profitLoss;
	}

	public void setProfitLoss(String profitLoss) {
		this.profitLoss = profitLoss;
	}

	public String getCcyRate() {
		return ccyRate;
	}

	public void setCcyRate(String ccyRate) {
		this.ccyRate = ccyRate;
	}

	public String getContractValue() {
		return contractValue;
	}

	public void setContractValue(String contractValue) {
		this.contractValue = contractValue;
	}

	public String getProfitLossBaseCcy() {
		return profitLossBaseCcy;
	}

	public void setProfitLossBaseCcy(String profitLossBaseCcy) {
		this.profitLossBaseCcy = profitLossBaseCcy;
	}

	public String getCcy() {
		return ccy;
	}

	public void setCcy(String ccy) {
		this.ccy = ccy;
	}

	public String getDataType() {
		return dataType;
	}

	public void setDataType(String dataType) {
		this.dataType = dataType;
	}

	public String getCloseProfit() {
		return closeProfit;
	}

	public void setCloseProfit(String closeProfit) {
		this.closeProfit = closeProfit;
	}

	public String getCloseProfitHKD() {
		return closeProfitHKD;
	}

	public void setCloseProfitHKD(String closeProfitHKD) {
		this.closeProfitHKD = closeProfitHKD;
	}
}
