package com.huasheng.quant.open.gateway.sdk.vo.futures;

import java.io.Serializable;

public class FuturesOrder implements Serializable {

	private static final long serialVersionUID = -1387436257918813737L;
	
	/** 股票代码，1.港股有后缀 .HK */
	private String stockCode;

	/** 股票名称 */
	private String stockName;

	/** 成交价格 */
	private String businessPrice;

	/** 委托方向 1:买入,2:卖出 */
	private String entrustBs;

	/** 委托价格 */
	private String entrustPrice;

	/** 委托数量 */
	private String entrustAmount;

	/** 成交数量 */
	private String businessAmount;

	/** 如果是成交接口，成交日期，如果是委托接口， 委托日期 */
	private String date;

	/** 成交时间 */
	private String businessTime;

	/** 委托时间 */
	private String entrustTime;

	/** 当前记录的索引,用于分页 */
	private String queryParamStr;

	/** 委托状态中文描述 */
	private String statusDesc;

	/** 委托状态 */
	private String status;

	/** 委托编号 */
	private String entrustId;

	/** 可撤单  1 可撤单， 0 不可撤单 */
	private int canBeCanceled;

	/** 委托类型 */
	private String entrustType;

	/** 委托类型对应的数字 */
	private String entrustTypeNum;

	/** 0 无效 1 有效 */
	private int isValid;

	/** 是否可改单 1 可改单，0 不可改单 */
	private int canBeUpdated;

	/** 有效期类型 0当天有效，1成交并取消，2成交或取消，3直到有效期，4直到自定时间 */
	private String validType;

	/** validType的相关描述，4直到自定时间 直接返回时间yyyy/MM/dd */
	private String validTypeDesc;

	/** 0=默认,1=T+1 */
	private int orderOptions;

	/** 有效期时间，yyyy/MM/dd */
	private String validTime;
	
	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public String getBusinessPrice() {
		return businessPrice;
	}

	public void setBusinessPrice(String businessPrice) {
		this.businessPrice = businessPrice;
	}

	public String getEntrustBs() {
		return entrustBs;
	}

	public void setEntrustBs(String entrustBs) {
		this.entrustBs = entrustBs;
	}

	public String getEntrustPrice() {
		return entrustPrice;
	}

	public void setEntrustPrice(String entrustPrice) {
		this.entrustPrice = entrustPrice;
	}

	public String getEntrustAmount() {
		return entrustAmount;
	}

	public void setEntrustAmount(String entrustAmount) {
		this.entrustAmount = entrustAmount;
	}

	public String getBusinessAmount() {
		return businessAmount;
	}

	public void setBusinessAmount(String businessAmount) {
		this.businessAmount = businessAmount;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getBusinessTime() {
		return businessTime;
	}

	public void setBusinessTime(String businessTime) {
		this.businessTime = businessTime;
	}

	public String getEntrustTime() {
		return entrustTime;
	}

	public void setEntrustTime(String entrustTime) {
		this.entrustTime = entrustTime;
	}

	public String getQueryParamStr() {
		return queryParamStr;
	}

	public void setQueryParamStr(String queryParamStr) {
		this.queryParamStr = queryParamStr;
	}

	public String getStatusDesc() {
		return statusDesc;
	}

	public void setStatusDesc(String statusDesc) {
		this.statusDesc = statusDesc;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntrustId() {
		return entrustId;
	}

	public void setEntrustId(String entrustId) {
		this.entrustId = entrustId;
	}

	public int getCanBeCanceled() {
		return canBeCanceled;
	}

	public void setCanBeCanceled(int canBeCanceled) {
		this.canBeCanceled = canBeCanceled;
	}

	public String getEntrustType() {
		return entrustType;
	}

	public void setEntrustType(String entrustType) {
		this.entrustType = entrustType;
	}

	public String getEntrustTypeNum() {
		return entrustTypeNum;
	}

	public void setEntrustTypeNum(String entrustTypeNum) {
		this.entrustTypeNum = entrustTypeNum;
	}

	public int getIsValid() {
		return isValid;
	}

	public void setIsValid(int isValid) {
		this.isValid = isValid;
	}

	public int getCanBeUpdated() {
		return canBeUpdated;
	}

	public void setCanBeUpdated(int canBeUpdated) {
		this.canBeUpdated = canBeUpdated;
	}

	public String getValidType() {
		return validType;
	}

	public void setValidType(String validType) {
		this.validType = validType;
	}

	public String getValidTypeDesc() {
		return validTypeDesc;
	}

	public void setValidTypeDesc(String validTypeDesc) {
		this.validTypeDesc = validTypeDesc;
	}

	public int getOrderOptions() {
		return orderOptions;
	}

	public void setOrderOptions(int orderOptions) {
		this.orderOptions = orderOptions;
	}

	public String getValidTime() {
		return validTime;
	}

	public void setValidTime(String validTime) {
		this.validTime = validTime;
	}
}
