package com.huasheng.quant.open.gateway.sdk.vo.hq;

import java.io.Serializable;

public class BasicQot implements Serializable {

    private static final long serialVersionUID = -8385884771515511223L;

    /**
     * 证券代码
     */
    private Security security;

    /**
     * 是否停牌
     */
    private boolean isSuspended;

    /**
     * 开盘价
     */
    private double openPrice;

    /**
     * 最高价
     */
    private double highPrice;

    /**
     * 最低价
     */
    private double lowPrice;

    /**
     * 最新价
     */
    private double lastPrice;

    /**
     * 昨收价
     */
    private double lastClosePrice;

    /**
     * 价差
     */
    private double priceSpread;

    /**
     * 成交量
     */
    private long volume;

    /**
     * 成交额
     */
    private double turnover;

    /**
     * 换手率
     */
    private double turnoverRate;

    /**
     * 振幅
     */
    private double amplitude;

    /**
     * SecurityStatus, 股票状态
     */
    private int secStatus;

    /**
     * 上市日期字符串 yyyyMMdd
     */
    private String listTime;

    /**
     * 每手
     */
    private int lotSize;

    /**
     * 交易时间
     */
    private String tradeTime;

    /**
     * 市场时间
     */
    private String marketTime;

    /**
     * 股票状态
     */
    private String stockStatus;

    /**
     * 成交量兼容字段
     */
    private String volumeStr;

    /**
     * 期货特有字段
     */
    private FutureBasicQotExData futureExData;

    /**
     * 期权特有字段
     */
    private OptionBasicQotExData optionExData;

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public boolean getIsSuspended() {
        return isSuspended;
    }

    public void setIsSuspended(boolean suspended) {
        isSuspended = suspended;
    }

    public double getOpenPrice() {
        return openPrice;
    }

    public void setOpenPrice(double openPrice) {
        this.openPrice = openPrice;
    }

    public double getHighPrice() {
        return highPrice;
    }

    public void setHighPrice(double highPrice) {
        this.highPrice = highPrice;
    }

    public double getLowPrice() {
        return lowPrice;
    }

    public void setLowPrice(double lowPrice) {
        this.lowPrice = lowPrice;
    }

    public double getLastPrice() {
        return lastPrice;
    }

    public void setLastPrice(double lastPrice) {
        this.lastPrice = lastPrice;
    }

    public double getLastClosePrice() {
        return lastClosePrice;
    }

    public void setLastClosePrice(double lastClosePrice) {
        this.lastClosePrice = lastClosePrice;
    }

    public double getPriceSpread() {
        return priceSpread;
    }

    public void setPriceSpread(double priceSpread) {
        this.priceSpread = priceSpread;
    }

    public long getVolume() {
        return volume;
    }

    public void setVolume(long volume) {
        this.volume = volume;
    }

    public double getTurnover() {
        return turnover;
    }

    public void setTurnover(double turnover) {
        this.turnover = turnover;
    }

    public double getTurnoverRate() {
        return turnoverRate;
    }

    public void setTurnoverRate(double turnoverRate) {
        this.turnoverRate = turnoverRate;
    }

    public double getAmplitude() {
        return amplitude;
    }

    public void setAmplitude(double amplitude) {
        this.amplitude = amplitude;
    }

    public int getSecStatus() {
        return secStatus;
    }

    public void setSecStatus(int secStatus) {
        this.secStatus = secStatus;
    }

    public String getListTime() {
        return listTime;
    }

    public void setListTime(String listTime) {
        this.listTime = listTime;
    }

    public int getLotSize() {
        return lotSize;
    }

    public void setLotSize(int lotSize) {
        this.lotSize = lotSize;
    }

    public String getTradeTime() {
        return tradeTime;
    }

    public void setTradeTime(String tradeTime) {
        this.tradeTime = tradeTime;
    }

    public String getMarketTime() {
        return marketTime;
    }

    public void setMarketTime(String marketTime) {
        this.marketTime = marketTime;
    }

    public String getStockStatus() {
        return stockStatus;
    }

    public void setStockStatus(String stockStatus) {
        this.stockStatus = stockStatus;
    }

    public String getVolumeStr() {
        return volumeStr;
    }

    public void setVolumeStr(String volumeStr) {
        this.volumeStr = volumeStr;
    }

    public FutureBasicQotExData getFutureExData() {
        return futureExData;
    }

    public void setFutureExData(FutureBasicQotExData futureExData) {
        this.futureExData = futureExData;
    }

    public OptionBasicQotExData getOptionExData() {
        return optionExData;
    }

    public void setOptionExData(OptionBasicQotExData optionExData) {
        this.optionExData = optionExData;
    }
}
