package com.huasheng.quant.open.gateway.sdk.vo.notify;

import com.huasheng.quant.open.gateway.sdk.vo.hq.OrderBook;
import com.huasheng.quant.open.gateway.sdk.vo.hq.Security;

import java.io.Serializable;
import java.util.List;

/**
 * 行情买卖档消息实体类
 */
public class HqOrderBookNotifyMessageVo implements Serializable {

    private static final long serialVersionUID = 8445605096287167154L;

    private Security security;

    /**
     * 0买 1卖
     */
    private String side;

    private List<OrderBook> orderBookBidList;

    /**
     * 美股 -1:盘前 1:盘中 -2:盘后   
     */
    private int mktTmType;

    public HqOrderBookNotifyMessageVo() {
    }

    public HqOrderBookNotifyMessageVo(Security security, String side, List<OrderBook> orderBookBidList, int mktTmType) {
        this.security = security;
        this.side = side;
        this.orderBookBidList = orderBookBidList;
        this.mktTmType = mktTmType;
    }

    public Security getSecurity() {
        return security;
    }

    public void setSecurity(Security security) {
        this.security = security;
    }

    public String getSide() {
        return side;
    }

    public void setSide(String side) {
        this.side = side;
    }

    public List<OrderBook> getOrderBookBidList() {
        return orderBookBidList;
    }

    public void setOrderBookBidList(List<OrderBook> orderBookBidList) {
        this.orderBookBidList = orderBookBidList;
    }

    public int getMktTmType() {
        return mktTmType;
    }

    public void setMktTmType(int mktTmType) {
        this.mktTmType = mktTmType;
    }
}
