package com.huasheng.quant.open.gateway.sdk.vo.notify;

import java.io.Serializable;

/**
 * 交易-期货回报消息实体类
 */
public class TradeNotifyMessageVo implements Serializable {

    private static final long serialVersionUID = 5765907108348369894L;

    /**
     * 资金账号
     */
    private String fundAccount;

    /**
     * 股票代码
     */
    private String stockCode;

    /**
     * 股票名称
     */
    private String stockName;

    /**
     * 委托方向
     */
    private String entrustBs;

    /**
     * 成交价格
     */
    private String businessPrice;

    /**
     * 成交数量
     */
    private String businessAmount;

    /**
     * 成交日期
     */
    private String businessDate;

    /**
     * 成交时间
     */
    private String businessTime;

    /**
     * 交易类型
     */
    private String exchangeType;

    /**
     * 委托状态
     */
    private String entrustStatus;

    /**
     * 客户号
     */
    private String clientId;

    /**
     * 委托编号，撤单/改单委托会变
     */
    private String entrustNo;

    /**
     * 总数量
     */
    private String sumBusinessAmount;

    /**
     * 总金额
     */
    private String sumBusinessBalance;

    /**
     * 原始委托数量
     */
    private String originalAmount;

    /**
     * 原始委托价格
     */
    private String originalPrice;

    /**
     * 剩余挂单数量
     */
    private String leftAmount;

    /**
     * 改后委托价格
     */
    private String entrustPrice;

    /**
     * 改后委托数量
     */
    private String entrustAmount;

    /**
     * 订单号
     */
    private String recordNo;

    /**
     * 备注
     */
    private String remark;

    /**
     * 成交流水号，有成交的情况才会有
     */
    private String matchNo;

    public String getFundAccount() {
        return fundAccount;
    }

    public void setFundAccount(String fundAccount) {
        this.fundAccount = fundAccount;
    }

    public String getStockCode() {
        return stockCode;
    }

    public void setStockCode(String stockCode) {
        this.stockCode = stockCode;
    }

    public String getStockName() {
        return stockName;
    }

    public void setStockName(String stockName) {
        this.stockName = stockName;
    }

    public String getEntrustBs() {
        return entrustBs;
    }

    public void setEntrustBs(String entrustBs) {
        this.entrustBs = entrustBs;
    }

    public String getBusinessPrice() {
        return businessPrice;
    }

    public void setBusinessPrice(String businessPrice) {
        this.businessPrice = businessPrice;
    }

    public String getBusinessAmount() {
        return businessAmount;
    }

    public void setBusinessAmount(String businessAmount) {
        this.businessAmount = businessAmount;
    }

    public String getBusinessDate() {
        return businessDate;
    }

    public void setBusinessDate(String businessDate) {
        this.businessDate = businessDate;
    }

    public String getBusinessTime() {
        return businessTime;
    }

    public void setBusinessTime(String businessTime) {
        this.businessTime = businessTime;
    }

    public String getExchangeType() {
        return exchangeType;
    }

    public void setExchangeType(String exchangeType) {
        this.exchangeType = exchangeType;
    }

    public String getEntrustStatus() {
        return entrustStatus;
    }

    public void setEntrustStatus(String entrustStatus) {
        this.entrustStatus = entrustStatus;
    }

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public String getEntrustNo() {
        return entrustNo;
    }

    public void setEntrustNo(String entrustNo) {
        this.entrustNo = entrustNo;
    }

    public String getSumBusinessAmount() {
        return sumBusinessAmount;
    }

    public void setSumBusinessAmount(String sumBusinessAmount) {
        this.sumBusinessAmount = sumBusinessAmount;
    }

    public String getSumBusinessBalance() {
        return sumBusinessBalance;
    }

    public void setSumBusinessBalance(String sumBusinessBalance) {
        this.sumBusinessBalance = sumBusinessBalance;
    }

    public String getOriginalAmount() {
        return originalAmount;
    }

    public void setOriginalAmount(String originalAmount) {
        this.originalAmount = originalAmount;
    }

    public String getOriginalPrice() {
        return originalPrice;
    }

    public void setOriginalPrice(String originalPrice) {
        this.originalPrice = originalPrice;
    }

    public String getLeftAmount() {
        return leftAmount;
    }

    public void setLeftAmount(String leftAmount) {
        this.leftAmount = leftAmount;
    }

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getRecordNo() {
        return recordNo;
    }

    public void setRecordNo(String recordNo) {
        this.recordNo = recordNo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getMatchNo() {
        return matchNo;
    }

    public void setMatchNo(String matchNo) {
        this.matchNo = matchNo;
    }
}
