package com.huasheng.quant.open.gateway.sdk.vo.trade;

import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustType;
import com.huasheng.quant.open.gateway.sdk.constant.trade.SessionType;
import com.huasheng.quant.open.gateway.sdk.constant.trade.TradeCondTrackType;

public class ChangeEntrustParam extends StockCodeParam {

    private static final long serialVersionUID = 4708364311777375225L;

    /**
     * 订单ID
     */
    private String entrustId;

    /**
     * 委托价格
     */
    private String entrustPrice;

    /**
     * 委托数量
     */
    private String entrustAmount;

    /**
     * 委托类型
     *
     * @see EntrustType
     */
    private String entrustType;

    /**
     * 盘前盘后交易
     *
     * @see SessionType
     */
    private String sessionType;

    /**
     * 有效天数
     */
    private String validDays;

    /**
     * 触发条件值，可能值：价格、价差、百分比数字
     */
    private String condValue;

    /**
     * 跟踪类型 1百分比、2价差、3价格
     *
     * @see TradeCondTrackType
     */
    private String condTrackType;

    public String getEntrustId() {
        return entrustId;
    }

    public void setEntrustId(String entrustId) {
        this.entrustId = entrustId;
    }

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getEntrustType() {
        return entrustType;
    }

    public void setEntrustType(String entrustType) {
        this.entrustType = entrustType;
    }

    public String getSessionType() {
        return sessionType;
    }

    public void setSessionType(String sessionType) {
        this.sessionType = sessionType;
    }

    public String getValidDays() {
        return validDays;
    }

    public void setValidDays(String validDays) {
        this.validDays = validDays;
    }

    public String getCondValue() {
        return condValue;
    }

    public void setCondValue(String condValue) {
        this.condValue = condValue;
    }

    public String getCondTrackType() {
        return condTrackType;
    }

    public void setCondTrackType(String condTrackType) {
        this.condTrackType = condTrackType;
    }
}
