package com.huasheng.quant.open.gateway.sdk.vo.trade;

import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustBs;
import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustEx;
import com.huasheng.quant.open.gateway.sdk.constant.trade.EntrustType;
import com.huasheng.quant.open.gateway.sdk.constant.trade.SessionType;
import com.huasheng.quant.open.gateway.sdk.constant.trade.TradeCondTrackType;

public class EntrustParam extends StockCodeParam {

    private static final long serialVersionUID = -2069553562456975701L;

    /**
     * 委托价格
     */
    private String entrustPrice;

    /**
     * 委托数量
     */
    private String entrustAmount;

    /**
     * 买卖方向
     *
     * @see EntrustBs
     */
    private String entrustBs;

    /**
     * 委托类型
     *
     * @see EntrustType
     */
    private String entrustType;

    /**
     * 交易所
     *
     * @see EntrustEx
     */
    private String exchange;

    /**
     * 盘前盘后交易
     *
     * @see SessionType
     */
    private String sessionType;

    /**
     * 冰山单披露数量
     */
    private String iceBergDisplaySize;

    /**
     * 有效天数
     */
    private String validDays;

    /**
     * 触发条件值，可能值：价格、价差、百分比数字
     */
    private String condValue;

    /**
     * 跟踪类型 1百分比、2价差、3价格
     *
     * @see TradeCondTrackType
     */
    private String condTrackType;

    public String getEntrustPrice() {
        return entrustPrice;
    }

    public void setEntrustPrice(String entrustPrice) {
        this.entrustPrice = entrustPrice;
    }

    public String getEntrustAmount() {
        return entrustAmount;
    }

    public void setEntrustAmount(String entrustAmount) {
        this.entrustAmount = entrustAmount;
    }

    public String getEntrustBs() {
        return entrustBs;
    }

    public void setEntrustBs(String entrustBs) {
        this.entrustBs = entrustBs;
    }

    public String getEntrustType() {
        return entrustType;
    }

    public void setEntrustType(String entrustType) {
        this.entrustType = entrustType;
    }

    public String getExchange() {
        return exchange;
    }

    public void setExchange(String exchange) {
        this.exchange = exchange;
    }

    public String getSessionType() {
        return sessionType;
    }

    public void setSessionType(String sessionType) {
        this.sessionType = sessionType;
    }

    public String getIceBergDisplaySize() {
        return iceBergDisplaySize;
    }

    public void setIceBergDisplaySize(String iceBergDisplaySize) {
        this.iceBergDisplaySize = iceBergDisplaySize;
    }

    public String getValidDays() {
        return validDays;
    }

    public void setValidDays(String validDays) {
        this.validDays = validDays;
    }

    public String getCondValue() {
        return condValue;
    }

    public void setCondValue(String condValue) {
        this.condValue = condValue;
    }

    public String getCondTrackType() {
        return condTrackType;
    }

    public void setCondTrackType(String condTrackType) {
        this.condTrackType = condTrackType;
    }
}
