package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;

public class MarginFundInfo implements Serializable {

	private static final long serialVersionUID = 8267045531187261747L;

	/** 持仓盈亏 */
	private String holdsBalance;

	/** 总资产 */
	private String assetBalance;

	/** 可用金额（购买力） */
	private String enableBalance;

	/** 证券市值 */
	private String marketValue;

	/** 交易冻结金额 */
	private String cashOnHold;

	/** 已用额度 */
	private String creditValue;

	/** 信用额度 */
	private String creditLine;

	/** 可取金额 */
	private String fetchBalance;

	/** 总冻结金额 */
	private String frozenBalance;

	/** 账户状态 */
	private String accountStatus;

	/** 资金使用率 */
	private String spentRatio;

	/** 当前信用额度 */
	private String currentCreditLimit;

	/** 提升最大信用额度 */
	private String maxCreditLimit;

	/** 统一信用额度 */
	private String unitCreditLimit;

	/** 最大统一信用额度 */
	private String unitMaxCreditLimit;

	/** 购买力 (统一和单一市场对应市场主币种) */
	private String buyPower;

	/** 购买力，提升信用额度后购买力 (统一和单一市场对应市场主币种) */
	private String buyPowerCredit;

	/** 港股购买力 */
	private String buyPowerHk;

	/** 美股购买力 */
	private String buyPowerUs;

	/** 中华通购买力 */
	private String buyPowerCn;

	/** 统一港股购买力 */
	private String unitedBuyPowerHk;

	/** 统一美股购买力 */
	private String unitedBuyPowerUs;

	/** 统一中华通购买力 */
	private String unitedBuyPowerCn;

	/** 第三方港股购买力 */
	private String thirdBuyPowerHk;

	/** 第三方美股购买力 */
	private String thirdBuyPowerUs;

	/** 第三方中华通购买力 */
	private String thirdBuyPowerCn;

	/** 卖空购买力 */
	private String buyPowerShortMarket;

	/** 现金购买力 */
	private String buyPowerMoney;
	
	public MarginFundInfo() {
		super();
	}

	public String getHoldsBalance() {
		return holdsBalance;
	}

	public void setHoldsBalance(String holdsBalance) {
		this.holdsBalance = holdsBalance;
	}

	public String getAssetBalance() {
		return assetBalance;
	}

	public void setAssetBalance(String assetBalance) {
		this.assetBalance = assetBalance;
	}

	public String getEnableBalance() {
		return enableBalance;
	}

	public void setEnableBalance(String enableBalance) {
		this.enableBalance = enableBalance;
	}

	public String getMarketValue() {
		return marketValue;
	}

	public void setMarketValue(String marketValue) {
		this.marketValue = marketValue;
	}

	public String getCashOnHold() {
		return cashOnHold;
	}

	public void setCashOnHold(String cashOnHold) {
		this.cashOnHold = cashOnHold;
	}

	public String getCreditValue() {
		return creditValue;
	}

	public void setCreditValue(String creditValue) {
		this.creditValue = creditValue;
	}

	public String getCreditLine() {
		return creditLine;
	}

	public void setCreditLine(String creditLine) {
		this.creditLine = creditLine;
	}

	public String getFetchBalance() {
		return fetchBalance;
	}

	public void setFetchBalance(String fetchBalance) {
		this.fetchBalance = fetchBalance;
	}

	public String getFrozenBalance() {
		return frozenBalance;
	}

	public void setFrozenBalance(String frozenBalance) {
		this.frozenBalance = frozenBalance;
	}

	public String getAccountStatus() {
		return accountStatus;
	}

	public void setAccountStatus(String accountStatus) {
		this.accountStatus = accountStatus;
	}

	public String getSpentRatio() {
		return spentRatio;
	}

	public void setSpentRatio(String spentRatio) {
		this.spentRatio = spentRatio;
	}

	public String getCurrentCreditLimit() {
		return currentCreditLimit;
	}

	public void setCurrentCreditLimit(String currentCreditLimit) {
		this.currentCreditLimit = currentCreditLimit;
	}

	public String getMaxCreditLimit() {
		return maxCreditLimit;
	}

	public void setMaxCreditLimit(String maxCreditLimit) {
		this.maxCreditLimit = maxCreditLimit;
	}

	public String getUnitCreditLimit() {
		return unitCreditLimit;
	}

	public void setUnitCreditLimit(String unitCreditLimit) {
		this.unitCreditLimit = unitCreditLimit;
	}

	public String getUnitMaxCreditLimit() {
		return unitMaxCreditLimit;
	}

	public void setUnitMaxCreditLimit(String unitMaxCreditLimit) {
		this.unitMaxCreditLimit = unitMaxCreditLimit;
	}

	public String getBuyPower() {
		return buyPower;
	}

	public void setBuyPower(String buyPower) {
		this.buyPower = buyPower;
	}

	public String getBuyPowerCredit() {
		return buyPowerCredit;
	}

	public void setBuyPowerCredit(String buyPowerCredit) {
		this.buyPowerCredit = buyPowerCredit;
	}

	public String getBuyPowerHk() {
		return buyPowerHk;
	}

	public void setBuyPowerHk(String buyPowerHk) {
		this.buyPowerHk = buyPowerHk;
	}

	public String getBuyPowerUs() {
		return buyPowerUs;
	}

	public void setBuyPowerUs(String buyPowerUs) {
		this.buyPowerUs = buyPowerUs;
	}

	public String getBuyPowerCn() {
		return buyPowerCn;
	}

	public void setBuyPowerCn(String buyPowerCn) {
		this.buyPowerCn = buyPowerCn;
	}

	public String getUnitedBuyPowerHk() {
		return unitedBuyPowerHk;
	}

	public void setUnitedBuyPowerHk(String unitedBuyPowerHk) {
		this.unitedBuyPowerHk = unitedBuyPowerHk;
	}

	public String getUnitedBuyPowerUs() {
		return unitedBuyPowerUs;
	}

	public void setUnitedBuyPowerUs(String unitedBuyPowerUs) {
		this.unitedBuyPowerUs = unitedBuyPowerUs;
	}

	public String getUnitedBuyPowerCn() {
		return unitedBuyPowerCn;
	}

	public void setUnitedBuyPowerCn(String unitedBuyPowerCn) {
		this.unitedBuyPowerCn = unitedBuyPowerCn;
	}

	public String getThirdBuyPowerHk() {
		return thirdBuyPowerHk;
	}

	public void setThirdBuyPowerHk(String thirdBuyPowerHk) {
		this.thirdBuyPowerHk = thirdBuyPowerHk;
	}

	public String getThirdBuyPowerUs() {
		return thirdBuyPowerUs;
	}

	public void setThirdBuyPowerUs(String thirdBuyPowerUs) {
		this.thirdBuyPowerUs = thirdBuyPowerUs;
	}

	public String getThirdBuyPowerCn() {
		return thirdBuyPowerCn;
	}

	public void setThirdBuyPowerCn(String thirdBuyPowerCn) {
		this.thirdBuyPowerCn = thirdBuyPowerCn;
	}

	public String getBuyPowerShortMarket() {
		return buyPowerShortMarket;
	}

	public void setBuyPowerShortMarket(String buyPowerShortMarket) {
		this.buyPowerShortMarket = buyPowerShortMarket;
	}

	public String getBuyPowerMoney() {
		return buyPowerMoney;
	}

	public void setBuyPowerMoney(String buyPowerMoney) {
		this.buyPowerMoney = buyPowerMoney;
	}
}
