package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;

public class MaxAvailableAsset implements Serializable {

    private static final long serialVersionUID = 2846570632066027077L;
    
    /**
     * 持仓头寸状态：0未建仓，1做多，2做空
     */
    private String positionStatus;

    /**
     * 持仓头寸
     */
    private String position;

    /**
     * 做多数据：做多可开仓(买入)数量
     */
    private String longOpenAvailable;

    /**
     * 做多数据：做多可平仓(卖出)数量
     */
    private String longCloseAvailable;

    /**
     * 做多数据：现金可开仓数量
     */
    private String cashAvailableToOpen;

    /**
     * 做多数据：融资可开仓数量
     */
    private String marginAvailableToOpen;

    /**
     * 做多数据：现金和融资可开仓数量
     */
    private String cashAndMarginAvailableToOpen;

    /**
     * 做多数据：现金购买力
     */
    private String cashAvailableAmount;

    /**
     * 做多数据：融资购买力
     */
    private String marginAvailableAmount;

    /**
     * 做多数据：现金和融资总共的购买力
     */
    private String cashAndMarginAvailableAmount;

    /**
     * 做空数据：做空可开仓(卖出)数量
     */
    private String shortOpenAvailable;

    /**
     * 做空数据：做空可平仓(买入)数量
     */
    private String shortCloseAvailable;

    /**
     * 做空数据：做空现金可平仓(买入)数量
     */
    private String shortCloseCashAvailable;

    /**
     * 做空数据：卖空池
     */
    private String shortOpenPool;

    /**
     * 做空数据：做空购买力
     */
    private String shortBuyPower;

    /**
     * 期权合约单位
     */
    private String contractSize;

    /**
     * 开通统一购买力
     */
    private String unitedBuyPowerStatus;

    /**
     * 透支额度
     */
    private String creditLimit;

    /**
     * 期权保证金(做多)
     */
    private String optionLongMarginAmount;

    /**
     * 期权保证金(做空)
     */
    private String optionShortMarginAmount;

    public String getPositionStatus() {
        return positionStatus;
    }

    public void setPositionStatus(String positionStatus) {
        this.positionStatus = positionStatus;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getLongOpenAvailable() {
        return longOpenAvailable;
    }

    public void setLongOpenAvailable(String longOpenAvailable) {
        this.longOpenAvailable = longOpenAvailable;
    }

    public String getLongCloseAvailable() {
        return longCloseAvailable;
    }

    public void setLongCloseAvailable(String longCloseAvailable) {
        this.longCloseAvailable = longCloseAvailable;
    }

    public String getCashAvailableToOpen() {
        return cashAvailableToOpen;
    }

    public void setCashAvailableToOpen(String cashAvailableToOpen) {
        this.cashAvailableToOpen = cashAvailableToOpen;
    }

    public String getMarginAvailableToOpen() {
        return marginAvailableToOpen;
    }

    public void setMarginAvailableToOpen(String marginAvailableToOpen) {
        this.marginAvailableToOpen = marginAvailableToOpen;
    }

    public String getCashAndMarginAvailableToOpen() {
        return cashAndMarginAvailableToOpen;
    }

    public void setCashAndMarginAvailableToOpen(String cashAndMarginAvailableToOpen) {
        this.cashAndMarginAvailableToOpen = cashAndMarginAvailableToOpen;
    }

    public String getCashAvailableAmount() {
        return cashAvailableAmount;
    }

    public void setCashAvailableAmount(String cashAvailableAmount) {
        this.cashAvailableAmount = cashAvailableAmount;
    }

    public String getMarginAvailableAmount() {
        return marginAvailableAmount;
    }

    public void setMarginAvailableAmount(String marginAvailableAmount) {
        this.marginAvailableAmount = marginAvailableAmount;
    }

    public String getCashAndMarginAvailableAmount() {
        return cashAndMarginAvailableAmount;
    }

    public void setCashAndMarginAvailableAmount(String cashAndMarginAvailableAmount) {
        this.cashAndMarginAvailableAmount = cashAndMarginAvailableAmount;
    }

    public String getShortOpenAvailable() {
        return shortOpenAvailable;
    }

    public void setShortOpenAvailable(String shortOpenAvailable) {
        this.shortOpenAvailable = shortOpenAvailable;
    }

    public String getShortCloseAvailable() {
        return shortCloseAvailable;
    }

    public void setShortCloseAvailable(String shortCloseAvailable) {
        this.shortCloseAvailable = shortCloseAvailable;
    }

    public String getShortCloseCashAvailable() {
        return shortCloseCashAvailable;
    }

    public void setShortCloseCashAvailable(String shortCloseCashAvailable) {
        this.shortCloseCashAvailable = shortCloseCashAvailable;
    }

    public String getShortOpenPool() {
        return shortOpenPool;
    }

    public void setShortOpenPool(String shortOpenPool) {
        this.shortOpenPool = shortOpenPool;
    }

    public String getShortBuyPower() {
        return shortBuyPower;
    }

    public void setShortBuyPower(String shortBuyPower) {
        this.shortBuyPower = shortBuyPower;
    }

    public String getContractSize() {
        return contractSize;
    }

    public void setContractSize(String contractSize) {
        this.contractSize = contractSize;
    }

    public String getUnitedBuyPowerStatus() {
        return unitedBuyPowerStatus;
    }

    public void setUnitedBuyPowerStatus(String unitedBuyPowerStatus) {
        this.unitedBuyPowerStatus = unitedBuyPowerStatus;
    }

    public String getCreditLimit() {
        return creditLimit;
    }

    public void setCreditLimit(String creditLimit) {
        this.creditLimit = creditLimit;
    }

    public String getOptionLongMarginAmount() {
        return optionLongMarginAmount;
    }

    public void setOptionLongMarginAmount(String optionLongMarginAmount) {
        this.optionLongMarginAmount = optionLongMarginAmount;
    }

    public String getOptionShortMarginAmount() {
        return optionShortMarginAmount;
    }

    public void setOptionShortMarginAmount(String optionShortMarginAmount) {
        this.optionShortMarginAmount = optionShortMarginAmount;
    }
}
