package com.huasheng.quant.open.gateway.sdk.vo.trade;

import java.io.Serializable;

public class Order implements Serializable {

	private static final long serialVersionUID = -2767804669619943916L;

	/** 股票代码 */
	private String stockCode;

	/** 股票名称 */
	private String stockName;

	/** 成交价格 */
	private String businessPrice;

	/** 委托方向 1:买入、2:卖出 */
	private String entrustBs;

	/** 委托价格 */
	private String entrustPrice;

	/** 成交金额 */
	private String businessBalance;

	/** 委托数量 */
	private String entrustAmount;

	/** 成交数量 */
	private String businessAmount;

	/** 如果是成交接口，成交日期，如果是委托接口，委托日期 */
	private String date;

	/** 成交时间 */
	private String businessTime;

	/** 委托时间 */
	private String entrustTime;

	/** 当前记录的索引，用于分页 */
	private String queryParamStr;

	/** 委托状态中文描述 */
	private String statusDesc;

	/** 委托状态 */
	private String status;

	/** 委托编号 */
	private String entrustId;

	/** 未成交数量 */
	private String unBusinessAmount;

	/** 可撤单 1:可撤单、0:不可撤单 */
	private int canBeCanceled;

	/** 委托类型 */
	private String entrustType;

	/** 对手席位号，仅当日成交有该字段 */
	private String opponentSeat;

	/** 委托类型对应的数字 */
	private String entrustTypeNum;

	/** 备注类型 0:无、1:废单 */
	private String remarkType;

	/** 备注信息 */
	private String remark;

	/** 费用 */
	private FareVo fareVo;

	/** 交易类型 */
	private String exchangeType;

	/** 是否可改单 1:可改单，0:不可改单 */
	private int canBeUpdated;
	
	/** 交易所 */
	private String exchange;

	public Order() {
		super();
	}

	public String getStockCode() {
		return stockCode;
	}

	public void setStockCode(String stockCode) {
		this.stockCode = stockCode;
	}

	public String getStockName() {
		return stockName;
	}

	public void setStockName(String stockName) {
		this.stockName = stockName;
	}

	public String getBusinessPrice() {
		return businessPrice;
	}

	public void setBusinessPrice(String businessPrice) {
		this.businessPrice = businessPrice;
	}

	public String getEntrustBs() {
		return entrustBs;
	}

	public void setEntrustBs(String entrustBs) {
		this.entrustBs = entrustBs;
	}

	public String getEntrustPrice() {
		return entrustPrice;
	}

	public void setEntrustPrice(String entrustPrice) {
		this.entrustPrice = entrustPrice;
	}

	public String getBusinessBalance() {
		return businessBalance;
	}

	public void setBusinessBalance(String businessBalance) {
		this.businessBalance = businessBalance;
	}

	public String getEntrustAmount() {
		return entrustAmount;
	}

	public void setEntrustAmount(String entrustAmount) {
		this.entrustAmount = entrustAmount;
	}

	public String getBusinessAmount() {
		return businessAmount;
	}

	public void setBusinessAmount(String businessAmount) {
		this.businessAmount = businessAmount;
	}

	public String getDate() {
		return date;
	}

	public void setDate(String date) {
		this.date = date;
	}

	public String getBusinessTime() {
		return businessTime;
	}

	public void setBusinessTime(String businessTime) {
		this.businessTime = businessTime;
	}

	public String getEntrustTime() {
		return entrustTime;
	}

	public void setEntrustTime(String entrustTime) {
		this.entrustTime = entrustTime;
	}

	public String getQueryParamStr() {
		return queryParamStr;
	}

	public void setQueryParamStr(String queryParamStr) {
		this.queryParamStr = queryParamStr;
	}

	public String getStatusDesc() {
		return statusDesc;
	}

	public void setStatusDesc(String statusDesc) {
		this.statusDesc = statusDesc;
	}

	public String getStatus() {
		return status;
	}

	public void setStatus(String status) {
		this.status = status;
	}

	public String getEntrustId() {
		return entrustId;
	}

	public void setEntrustId(String entrustId) {
		this.entrustId = entrustId;
	}

	public String getUnBusinessAmount() {
		return unBusinessAmount;
	}

	public void setUnBusinessAmount(String unBusinessAmount) {
		this.unBusinessAmount = unBusinessAmount;
	}

	public int getCanBeCanceled() {
		return canBeCanceled;
	}

	public void setCanBeCanceled(int canBeCanceled) {
		this.canBeCanceled = canBeCanceled;
	}

	public String getEntrustType() {
		return entrustType;
	}

	public void setEntrustType(String entrustType) {
		this.entrustType = entrustType;
	}

	public String getOpponentSeat() {
		return opponentSeat;
	}

	public void setOpponentSeat(String opponentSeat) {
		this.opponentSeat = opponentSeat;
	}

	public String getEntrustTypeNum() {
		return entrustTypeNum;
	}

	public void setEntrustTypeNum(String entrustTypeNum) {
		this.entrustTypeNum = entrustTypeNum;
	}

	public String getRemarkType() {
		return remarkType;
	}

	public void setRemarkType(String remarkType) {
		this.remarkType = remarkType;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	public FareVo getFareVo() {
		return fareVo;
	}

	public void setFareVo(FareVo fareVo) {
		this.fareVo = fareVo;
	}

	public String getExchangeType() {
		return exchangeType;
	}

	public void setExchangeType(String exchangeType) {
		this.exchangeType = exchangeType;
	}

	public int getCanBeUpdated() {
		return canBeUpdated;
	}

	public void setCanBeUpdated(int canBeUpdated) {
		this.canBeUpdated = canBeUpdated;
	}

	public String getExchange() {
		return exchange;
	}

	public void setExchange(String exchange) {
		this.exchange = exchange;
	}

}
